<?php
defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\Package\PackageService;
use Concrete\Core\Support\Facade\Application;

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

/*
 * general purpose support dialog panel
 */

extract($controller->getSets());

$pkg_handle = 'jl_elephpant_info';
$pkg = Application::getFacadeApplication()->make(PackageService::class)->getByHandle($pkg_handle);
$package_version = $pkg->getPackageVersion();

$c5org = 'https://marketplace.concretecms.com/';

$addon = t('Ele-PHP-ant Info');
$c5_license = $c5org . 'help/legal/commercial_add-on_license/';
$jtf = 'JohntheFish'; // My name, not translated.
$avatar = $c5org . 'files/avatars/51576.jpg';
$profile = 'https://community.concretecms.com/members/profile/51576';

$c5magic = 'https://c5magic.co.uk/';
$contact = $c5magic . 'contact/';
$marketplace = $c5org . 'marketplace/addons/ele-php-ant-info/';
$get_help = $marketplace . 'support/';
$c5magic_search = $c5magic . 'addons/search?query=Ele-PHP-ant%20Info&submit=Go';

$icon = DIR_REL . '/packages/jl_elephpant_info/icon.png';
$getting_started = $c5magic . 'addons/ele-php-ant-info/';
$problems = $c5magic . 'addons/ele-php-ant-info/';

$app = Application::getFacadeApplication();
$nh = $app->make('helper/navigation');
$form = $app->make('helper/form');
$interface = $app->make('helper/concrete/ui');
?>

<div style="clear:both;margin-top:6em;">
    <legend>
        <?php
        echo t('Support');
        ?>
    </legend>
    <a href="<?php echo $marketplace; ?>" target="_blank" style="float:right;margin-left:15px"><img
                alt="<?php echo $addon ?>"
                src="<?php echo $icon; ?>"></a>
    <p>
        <?php
        echo t("%s%s%s version %s is installed.",
               '<a href="'.$getting_started.'version-history" target="_blank">', $addon, '</a>',
               $package_version
        );
        echo ' ';
        echo t("For support, please click the %sGet Help%s link on the  %smarketplace page%s. ",
            //
               '<a href="' . $get_help . '" target="_blank">', '</a>',
            //
               '<a href="' . $marketplace . '" target="_blank">', '</a>'
        );
        echo ' ';

        echo t("Documentation pages for %s%s%s are available on %smy support site%s.",
               '<a href="' . $getting_started . '" target="_blank">', $addon, '</a>',
               '<a href="' . $c5magic . '" target="_blank">', '</a>'
        );

        ?>
    </p>
</div>

<div style="clear:both;">
    <legend>
        <?php
        echo t('License');
        ?>
    </legend>
    <p>

        <?php

        echo t("%s%s%s is licensed under the %sConcreteCMS Marketplace License%s. ",
               '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
               '<a href="' . $c5_license . '" target="_blank">', '</a>'
        );

        echo t("Each license for %s%s%s may be used on a <b>single web site</b> and associated staging and development sites. ",
               '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>'
        );
        echo t("All %s%s%s code is copyright and may not be used in whole or in parts outside of the license except where permission to do so is granted by %s%s%s. ",
               '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
               '<a href="' . $profile . '" target="_blank">', $jtf, '</a>'
        );
        ?>
    </p>

</div>


<div style="clear:both;margin-bottom:10em;">

    <legend>
        <?php
        echo t('Developer');
        ?>
    </legend>
    <a href="<?php echo $profile; ?>" target="_blank" style="float:right;margin-right:15px;" title="<?php echo $jtf; ?>">
        <img alt="<?php echo $jtf; ?>"src="<?php echo $avatar; ?>">
    </a>
    <p>

        <?php
        echo t("%s%s%s has been developed and is actively maintained by %s%s%s. A toolbox full of further addons can be explored on my %ssupport site%s.",
               '<a href="' . $getting_started . '" target="_blank">', $addon, '</a>',
               '<a href="' . $profile . '" target="_blank">', $jtf, '</a>',
               '<a href="' . $c5magic . '" target="_blank">', '</a>'
        );
        ?>
    </p>

</div>


